{
  //Menu
  "MENU_FILE": "File",
  "MENU_SITE_MANAGER": "Site Manager",
  "MENU_NEW_TAB": "New Tab",
  "MENU_CLOSE_TAB": "Close Tab",
  "MENU_CLOSE_OTHER": "Close Other",
  "MENU_CLOSE_RIGHT": "Close Right",
  "MENU_IMPORT_SITE": "Import Site",
  "MENU_EXPORT_SITE": "Export Site",
  "MENU_IMPORT_QUEUE": "Import Queue",
  "MENU_EXPORT_QUEUE": "Export Queue",
  "MENU_QUIT": "Quit",

  "MENU_OPTION": "Option",
  "MENU_LANGUAGE": "Language",
  "MENU_THEME": "Themes",
  "MENU_THEME_DARK": "Dark",
  "MENU_THEME_BLUE": "Blue",
  "MENU_LAYOUT": "Layout",
  "MENU_LAYOUT_1": "Layout 1",
  "MENU_LAYOUT_2": "Layout 2",
  "MENU_VIEW": "View",
  "MENU_REFRESH": "Refresh",
  "MENU_TERMINAL": "Terminal",
  "MENU_SHOW_TOOLBAR": "Show Toolbar",
  "MENU_SHOW_LOG": "Show Log Window",
  "MENU_SHOW_TRANSFER": "Show Transfer Window",
  "MENU_EDIT": "Edit",
  "MENU_MARK_UNMARK": "Mark/Unmark",
  "MENU_UNMARK_ALL": "Unmark all",
  "MENU_SELECT_MARKED": "Select all marked items",
  "MENU_SELECT_ALL": "Select all",

  "MENU_ACTION": "Action",
  "MENU_TRANSFER": "Transfer",
  "MENU_QUEUE": "Queue",
  "MENU_PROCESS_QUEUE": "Process queue",
  "MENU_STOP_QUEUE": "Stop queue",
  "MENU_SERVER_TO_LOCAL_EXIST_ACTION": "Server to local file exists action",
  "MENU_LOCAL_TO_SERVER_EXIST_ACTION": "Local to server file exists action",
  "MENU_SERVER_TO_SERVER_EXIST_ACTION": "Server to server file exists action",
  "MENU_PRESERVE_TIMESTAMPS": "Preserve timestamps of transferred files",

  "MENU_SETTING": "Setting",
  "MENU_ASK": "Ask",
  "MENU_OVER_WRITE": "Over write",
  "MENU_RESUME": "Resume",
  "MENU_RENAME": "Rename",
  "MENU_SKIP": "Skip",

  "MENU_SERVER": "Server",
  "MENU_CANCEL_CURRENT_ACTION": "Cancel current action",
  "MENU_DISCONNECT": "Disconnect",
  "MENU_RECONNECT": "Reconnect",

  "MENU_HELP": "Help",
  "MENU_DOCUMENT": "Document",
  "MENU_FORUM": "Forum",
  "MENU_HOME_PAGE": "Home page",
  "MENU_CONTACT": "Contact us",
  "MENU_ABOUT": "About",
  "MENU_CHECK_UPDATE": "Check for updates",
  "MENU_LOAD_FILE": "Load file",

  "MENU_DOWNLOAD": "Download",
  "MENU_UPLOAD": "Upload",
  "MENU_DELETE": "Delete",
  "MENU_ADD_TO_QUEUE": "Add to queue",
  "MENU_CREATE_DIRECTORY": "Create directory",
  "MENU_OPEN": "Open",
  "MENU_SEND_COMMAND": "Send raw Command",
  "MENU_MANUAL_TRANSFER": "Manual Transfer",
  "MENU_COPY_URL": "Copy URL",
  "MENU_COPY_URL_WITHOUT_ACCOUNT": "Copy URL without account",

  "MENU_DELETE_ALL": "Delete all",
  "MENU_DELETE_SELECTED": "Delete selected",
  "MENU_RESET_ALL": "Reset all",
  "MENU_RESET_SELECTED": "Reset selected",

  "MENU_COPY": "Copy",
  "MENU_CLEAR": "Clear",
  "MENU_DETAIL_LOG": "Show detailed log",

  "MENU_UNSELECT_ALL": "Unselect all",
  "MENU_UPLOAD_PHOTO": "Upload photo",
  "MENU_UPLOAD_FILE": "Upload file",
  "MENU_IMPORT_PHOTO": "Import photo",
  "MENU_IMPORT_FILE": "Import file",

  "BUTTON_SWITCH_TO_LOCAL": "Switch to local mode",
  "BUTTON_SWITCH_TO_SERVER": "Switch to server mode",
  "BUTTON_BOOKMARK": "Bookmark",
  "BUTTON_UP_DIRECTORY": "Parent directory",
  "BUTTON_REFRESH": "Refresh",
  "BUTTON_TRANSFER": "Transfer",
  "BUTTON_CONNECT": "Connect",
  "BUTTON_DISCONNECT": "Disconnect",
  "BUTTON_CANCEL": "Cancel",

  "BUTTON_OK": "OK",
  "BUTTON_APPLY": "Apply",
  "BUTTON_BROWSE": "Browse",
  "BUTTON_ADD": "Add",
  "BUTTON_DELETE": "Delete",
  "BUTTON_EDIT": "Edit",
  "BUTTON_RENAME": "Rename",
  "BUTTON_MOVE_UP": "Move up",
  "BUTTON_MOVE_DOWN": "Move down",
  "BUTTON_EXPORT": "Export",
  "BUTTON_IMPORT": "Import",

  "VERSION": "Version",
  "ACKNOWLEDGEMENT": "Acknowledgment",
  "TRANSLATOR": "Translators",
  "STATISTICS": "Statistics",

  //Options
  "OPTION": "Option",
  "CONNECTION": "Connection",
  "CONNECT_TIME_OUT": "Connect time out in seconds",
  "DATA_TIME_OUT": "Data transfer time out in seconds",

  "NUMBER_OF_RETRY": "Maximum number of retries",
  "DELAY_FAILED_ATTEMPTS": "Delay seconds between failed attempts",
  "RECONNECT_ON_STARTUP": "Automatically reconnect on startup",

  "MAX_SIMULTANEOUS_TRANSFERS": "Maximum simultaneous transfers",
  "DEFAULT_TRANSFER_BUFFER": "Default transfer buffer size(KB)",
  "MAX_TRANSFER_BUFFER": "Maximum transfer buffer size(KB)",
  "MIN_TRANSFER_BUFFER": "Minimum transfer buffer size(KB)",
  "SERVER_TO_LOCAL_SPEED_LIMIT": "Server to local transfer speed limit(KB/S)",
  "LOCAL_TO_SERVER_SPEED_LIMIT": "Local to server transfer speed limit(KB/S)",
  "SERVER_TO_SERVER_SPEED_LIMIT": "Server to server transfer speed limit(KB/S)",

  "PROXY": "Proxy",
  "PROXY_SERVERS": "Proxy servers",
  "NO_PROXY": "No Proxy",
  "CURRENT_PROXY_SETTING": "Current proxy setting",
  "GLOBAL_PROXY_SETTING": "Global proxy setting",
  "HTTP": "HTTP",
  "SOCKS5": "SOCKS5",
  "PROXY_NAME": "Proxy name",
  "PROXY_TYPE": "Proxy type",
  "BYPASS_LOCAL_ADDRESS": "Bypass local area network address",

  "LOCAL_BOOKMARK": "Local Bookmark",
  "FILE_FILTER": "File Filter",
  "FILE_EXIST": "File Exist",
  "TARGET_IS_SMALLER": "Target is smaller",
  "TARGET_IS_SAME": "Target is same",
  "TARGET_IS_LARGER": "Target is larger",

  "INTERFACE": "Interface",
  "COMMAND_COLOR": "Command Color",
  "RESPOND_COLOR": "Respond Color",
  "ERROR_COLOR": "Error Color",
  "STATUS_COLOR": "Status Color",
  "BACKGROUND_COLOR": "Background Color",
  "DISPLAY_SIZE_BYTE": "Display size in byte",
  "BINARY_PREFIXES": "Binary prefixes( 1KB = 1024 bytes)",
  "DECIMAL_PREFIXES": "Decimal prefixes( 1KB = 1000 bytes)",
  "SIZE_FORMAT": "Size Format",

  "LOGGING": "Logging",
  "SHOW_TIME_LOG": "Show timestamps in log",
  "SHOW_COLOUR_LOG": "Show colour log (need restart FTPRush)",
  "LOG_TO_FILE": "Log to file",
  "LOG_FILE_NAME": "Log file name",
  "LOG_FILE_LIMIT": "Limit size of log file",
  "LOG_FILE_SIZE": "Limit size",

  "APPLY_SSL_DATA_CHANNEL": "Apply TLS encryption on data channel",
  "APPLY_PROXY_DATA_CHANNEL": "Apply proxy on data channel",
  "FTP_DATA_TRANSFER_MODE": "Data tranfer mode",
  "FTP_LIST_COMMAND": "List Command",
  "FTP_DIRECTORY_CHARSET": "Directory charset",
  "FTP_DIRECTORY_PARSER": "Directory list parser",
  "DIRECT_FXP": "Direct FXP",
  "APPLY_SSL_DIRECT_FXP": "Apply TLS encryption on data channel for direct FXP",
  "PUBLIC_KEY_AUTH": "Public key authentication",
  "PRIVATE_KEY_FILE": "Private key file",
  "ADD_PRIVATE_FILE": "Add private key file",

  //SITE MANAGER
  "SITE_MANAGER": "Site Manager",
  "SITE_LIST": "Site List",
  "QUICK_CONNECT": "Quick Connect",
  "FTPRUSH_SITES": "FTPRush Sites",
  "NEW_SITE": "New Site",
  "NEW_FOLDER": "New Folder",
  "GENERAL": "General",
  "HOST": "Host",
  "PORT": "Port",
  "USERNAME": "Username",
  "PASSWORD": "Password",
  "PROTOCOL": "Protocol",
  "LOGIN_TYPE": "Login Type",
  "ANONYMOUS": "Anonymous",
  "NORMAL": "Normal",
  "ASK_FOR_PASSWORD": "Ask for password",
  "INPUT_USERNAME_PASSWORD": "Input username and password",
  "REMEMBER_PASS_BEFORE_CLOSE": "Remember password until FTPRush is closed",
  "REMEMBER_LOGIN_TOKEN": "Remember login token",
  "ENCRYPTION": "Encryption",
  "PLAIN_TEXT": "Plain text",
  "IMPLICIT_SSL": "Implicit TLS",
  "EXPLICIT_SSL": "Explicit TLS",
  "ACCESS_KEY_ID": "Access Key ID",
  "SECRET_ACCESS_KEY": "Secret Access Key",
  "NOTES": "Notes",
  "ADVANCE": "Advanced",
  "BYPASS_PROXY": "Bypass proxy",
  "DEFAULT_LOCAL_PATH": "Default local path",
  "DEFAULT_SERVER_PATH": "Default server path",
  "BOOKMARK": "Bookmark",
  "INCLUDE_GLOBAL_FILTER": "Include global file filters",
  "OVERWRITE_GLOBAL_FILEEXIST_RULE": "Overwrite global file exists rules",

  //Misc
  "CONFIRMATION": "Confirmation",
  "REALLY_DELETE": "Really delete selected items?",
  "DOWNLOAD": "Download",
  "UPLOAD": "Upload",
  "LIST_DIRECTORY": "List directory",
  "RETRIEVE_DIRECTORY": "Retrieve directory",
  "DIRECTORY_NOT_FOUND": "Directory not found",
  "DISCONNECT": "Disconnect",
  "START": "Start",
  "DEFAULT_ACTION": "Default Action",
  "OPEN": "Open",
  "SHARE": "Share",
  "CREATE_DIRECTORY": "Create directory",
  "DELETE_FILE": "Delete file",
  "DELETE_DIRECTORY": "Delete directory",
  "RENAME_FILE": "Rename file",
  "RENAME_DIRECTORY": "Rename directory",
  "EMPTY_DIRECTORY": "Empty directory",
  "EDIT": "Edit",
  "SHOW": "Show",
  "CONNECT": "Connect",
  "CONNECT_VIA_PROXY": "Connect via proxy",
  "SELECT": "Select",
  "BACK": "Back",
  "SAVE_TO": "Save to",
  "LOGIN": "Login",
  "ENTER": "Enter",
  "SERVER": "Server",
  "TERMINAL": "Terminal",
  "TRANSFER": "Transfer",
  "SKIP_TRANSFER": "Skip transfer",
  "SERVER_TO_SERVER": "Server to Server",
  "LOCAL_TO_SERVER": "Local to Server",
  "SERVER_TO_LOCAL": "Server to local",
  "LOG": "Log",
  "WINDOW": "Window",
  "OVER_WRITE": "Overwrite",
  "RESUME": "Resume",
  "RENAME": "Rename",
  "SKIP": "Skip",
  "ASK_ME": "Ask me",
  "CANCEL": "Cancel",
  "ADD": "Add",
  "AND": "And",
  "SUCCESSFULLY": "Successfully",
  "FAILED": "Failed",
  "INFORMATION": "Information",
  "ACTION_AFTER_QUEUE_COMPLETION": "Action after queue completion",
  "NONE": "None",
  "CLOSE_FTPRUSH": "Close FTPRush",
  "SUSPEND": "Suspend system",
  "SHUTDOWN": "Shutdown system",

  "FONT": "Font",
  "FILE": "File",
  "FILES": "Files",
  "FILE_SIZE": "File size",
  "FILE_NAME": "File name",
  "DIRECTORY": "Directory",
  "DIRECTORIES": "Directories",
  "DIRECTORY_NAME": "Directory name",
  "FILE_AND_DIRECTORY": "File and directory",
  "TYPE": "Type",
  "NAME": "Name",
  "PROGRESS": "Progress",
  "SPEED": "Speed",
  "SERVER_PATH": "Server path",
  "LOCAL": "Local",
  "LOCAL_PATH": "Local path",
  "STATUS": "Status",
  "MASK": "Mask",
  "IS_REGEX_EXPRESSION": "This is a Regular Expression",
  "COLOR": "Color",
  "SCOPE": "Scope",

  "QUEUED_FILES": "Queued files",
  "FAILED_TRANSFERS": "Failed transfers",
  "SUCCESSFUL_TRANSFERS": "Successful transfers",
  "SKIPPED_TRANSFERS": "Skipped transfers",
  "TOTAL_FILE": "Total files",
  "TOTAL_SIZE": "Total size",
  "TOTAL_SPEED": "Total speed",
  "TOTAL_SITES": "Total sites",
  "TOTAL_RUN_TIME": "Total run time",

  "ADD_TO_QUEUE": "Add to queue",
  "LAST_MODIFIED": "Last modified",
  "MOVE_TO": "Move to",
  "TRANSFER_TO": "Transfer to",
  "TARGET_EXISTS": "The target file already exists",
  "CHOOSE_ACTION": "Please choose an action",
  "NEW_NAME": "New name",
  "ENTER_NEW_NAME": "Enter new name",
  "ALWAYS_THIS_ACTION": "Always this action",
  "SOURCE_FILE": "Source file",
  "TARGET_FILE": "Target file",
  "SIZE_EQUAL_SKIP": "The target file is equal to source, skipped",
  "USER_CHOOSE_SKIP": "The user choose to skip the file",
  "SKIP_BY_FILE_EXIST_RULE": "Skipped by file exists rules",
  "SKIP_BY_FILE_FILTER": "Skipped by file filters",
  "TRANSFER_CANCELED": "Transfer cancelled",

  "ADD_TO_BOOKMARK": "Add current path to bookmark",
  "EDIT_BOOKMARK": "Edit bookmark",
  "ADD_TO_LOCAL_BOOKMARK": "Add current path to local bookmark",
  "EDIT_LOCAL_BOOKMARK": "Edit local bookmark",

  "FIND_NEW_VERSION": "New version found",
  "NO_NEW_VERSION": "No new version found",
  "INSTALLED_VERSION": "Installed version",
  "LATEST_VERSION": "Latest version",
  "CHECK_UPDATE_STARTUP": "Check for updates at startup",
  "DIR_ACCESS_PERMISSIONS_TITLE": "Directory access permissions",
  "DIR_ACCESS_PERMISSIONS_TEXT": "You need to grant FTPRush access to the directories you want to download files into or to upload files from",
  "SELECT_SERVER": "Select server",
  "LOADING": "Loading",
  "RETURN_HOME_DIRECTORY": "Back to home directory",
  "SORT": "Sort",
  "SORT_ORDER": "Sort order",
  "SORT_ASCENDING_ORDER": "Sort by ascending order",
  "SORT_DESCENDING_ORDER": "Sort by descending order",
  "SORT_BY": "Sort by",

  "DRIVE": "Disk drive",
  "CONNECTING": "Connecting",
  "CONNECTED": "Connected",
  "DRIVE_NAME_ERROR": "Drive name error",
  "STOP": "Stop",
  "AUTO_START": "Automatically reconnect disk at program start",
  "AUTO_RECONNECT": "Automatically reconnect when encountering an error",
  "RUN_WITH_SYSTEM": "Automatically run program at system startup",
  "READ_ONLY": "Read only",
  "MOUNT_AS_NETWORK_DEVICE": "Mount as network device",
  "MOUNT_AS_PHYSICAL_DEVICE": "Mount as physical device",
  "NETWORK_PATH": "Network path",
  "VOLUME_LABEL": "Disk name",
  "RETRY": "Retry",
  "TRIAL_VERSION": "Trial version",
  "LICENSED_TO": "Licensed to",
  "PURCHASE": "Purchase",
  "REGISTER": "Register",
  "INPUT_REGISTRATION_CODE": "Enter registration code here",
  "REGISTER_SUCCESS": "Registration successful!",
  "REGISTER_ERROR": "Registration failed!",
  "LEFT_DAYS": "Left Days",
  "DAYS": "days",

  //Error
  "ERROR": "Error",
  "CAN_NOT_RENAME": "Can not rename",
  "NAME_ALREADY_EXISTS": "Name already exists",
  "NOT_CONNECTED": "Not Connected",
  "TIME_OUT": "Time Out",
  "NOT_FOUND": "Not Found",
  "NO_DIRECTORY_ADD": "No directory added",
  "PLEASE_ADD_DIRECTORY": "Please add at least one directory you want to download files into or to upload files from",
  "NETWORK_ERROR": "Network connection error",
  "INVALID_LOCAL_PATH": "Invalid local file path",
  "INVALID_SERVER_PATH": "Invalid server file path",
  "INVALID_USER_PASS": "Invalid username or password",
  "INVALID_ARGUMENT": "Invalid argument",
  "INVALID_INPUT": "Invalid input",
  "INPUT_NAME": "Please input the name!",
  "INPUT_MASK": "Please input the mask!",
  "INPUT_LOCAL_PATH": "Please input the local path!",
  "INPUT_SERVER_PATH": "Please input the server path!",
  "INPUT_PROXY_HOST": "Please input the proxy host!",
  "INPUT_HOST_ADDRESS": "Please input the host address!",
  "INPUT_SITE_NAME": "Please input the site name!",

  //More
  "FAST_UDP_MODE": "Use FastUDP connection (for high latency network)"

}